Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] ubuntu 14.04 remix non si aggiorna
#1
un saluto a tutti.

ho il seguente problema: ubuntu 14.04 non esegue più gli aggiornamenti proposti e neppure installa nuovi programmi da ubuntu software centre ma dà il seguente errore:


dpkg: errore fatale non recuperabile, uscita:
 il file con l'elenco dei file del pacchetto "libcamd2.3.1:amd64" contiene un nome file vuoto
E: Sub-process /usr/bin/dpkg returned an error code (2)

ho provato a cercare in rete ma sinceramente resto molto confuso

un grazie anticipato a chiunque possa aiutarmi
Cita messaggio
Grazie da:
#2
questo che dice?

Codice:
cat /var/lib/dpkg/info/libcamd2.3.1:amd64.list
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#3
ti allego esito (che non comprendo minimamente)


Allegati
.odt   libcamd.odt (Dimensione: 14,33 KB / Download: 3)
Cita messaggio
Grazie da:
#4
a me pare una cosa strana, hai fatto copia/incolla del comando? in quel file dovrebbe esserci altro, vedendo sui miei sistemi, se il contenuto è quello, secondo me, è successo qualche casino.

ora sono da smartphone e non posso postarti niente, quando saro al pc proviamo a fare una cosa, rinominare quel file e ricrearlo nuovo con il contenuto che credo dovrebbe esserci.

magari qualcuno nel frattempo ti dirà come fare quello che intendevo io.
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#5
si, ho fatto copia/incolla del comando. ho provato anche a scriverlo ma il risultato è lo stesso.

l'unica cosa che posso dire è che ho cominciato ad avere il problema dopo aver installato qwant come motore di ricerca in firefox (non so se possa esserci relazione).

Inoltre sull' hd ho anche come sistema operativo mint 17.2 remix e ho un problema simile: quando eseguo aggiornamenti o installo programmi da gestore applicazioni mi dice che l'operazione non è riuscita ma se verifico le applicazioni sono state installate e funzionano.
da terminale mi da però un errore diverso da quello segnalato per ubuntu.
anche qui ho installato qwant come motore di ricerca in firefox.
Cita messaggio
Grazie da:
#6
puoi postare cosa dice il terminale al comando:
sudo apt-get update
il testo non l'immagine.
Cita messaggio
Grazie da:
#7
io non incrocerei i problemi di mint e ubuntu qui, per mint apri un'altra discussione apposita postando l'output del terminale del comando che ti ha dato dxgiusti.
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#8
al momento non intendo avviare nuova discussione per mint.
l'ho solo citato poichè il problema è simile ed è nato come per ubuntu dopo installazione di qwant.

allego comunque il testo di apt get update di ubuntu ed anche di apt get upgrade se fosse utile.


Allegati
.odt   apt get upgrade ubuntu.odt (Dimensione: 23,17 KB / Download: 3)
.odt   apt get update ubuntu.odt (Dimensione: 23,37 KB / Download: 3)
Cita messaggio
Grazie da:
#9
ciao, prova queste cose, prima, rinomina il file in questione

Codice:
sudo mv /var/lib/dpkg/info/libcamd2.3.1:amd64.list /var/lib/dpkg/info/libcamd2.3.1:amd64.list.rotto
poi ricrea il file

Codice:
sudo gedit /var/lib/dpkg/info/libcamd2.3.1:amd64.list
e incolla queste

Codice:
/.
/usr
/usr/lib
/usr/lib/x86_64-linux-gnu
/usr/lib/x86_64-linux-gnu/libcamd.so.2.3.1
/usr/share
/usr/share/doc
/usr/share/doc/libcamd2.3.1
/usr/share/doc/libcamd2.3.1/NEWS.Debian.gz
/usr/share/doc/libcamd2.3.1/copyright
/usr/share/doc/libcamd2.3.1/changelog.Debian.gz
incollate le righe, salva il file e chiudilo e dai

Codice:
sudo apt-get install -f

e

Codice:
sudo apt-get update && sudo apt-get upgrade
e vedi
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#10
dopo aver incollato il codice che mi hai riportato e salvato il file nel terminale è apparso il seguente testo:

hrod@hrod:~$ sudo mv /var/lib/dpkg/info/libcamd2.3.1:amd64.list /var/lib/dpkg/info/libcamd2.3.1:amd64.list.rotto
[sudo] password for hrod:
hrod@hrod:~$ sudo gedit /var/lib/dpkg/info/libcamd2.3.1:amd64.list

(gedit:2503): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

(gedit:2503): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

(gedit:2503): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files


posso procedere con:

sudo apt-get install -f
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)